KD SOAP: KDSoapPendingCallWatcher Class Reference

| KD SOAP 1.9.1

Signals | Public Member Functions | List of all members
KDSoapPendingCallWatcher Class Reference

`#include <KDSoapPendingCallWatcher.h>`

Inheritance diagram for KDSoapPendingCallWatcher:

## Signals
void | finished (KDSoapPendingCallWatcher *self)

## Public Member Functions
| KDSoapPendingCallWatcher (const KDSoapPendingCall &call, QObject *parent=nullptr)
| ~KDSoapPendingCallWatcher ()
Public Member Functions inherited from KDSoapPendingCall
| KDSoapPendingCall (const KDSoapPendingCall &other)
| ~KDSoapPendingCall ()
KDSoapPendingCall & | operator= (const KDSoapPendingCall &other)
KDSoapMessage | returnMessage () const
QVariant | returnValue () const
KDSoapHeaders | returnHeaders () const
bool | isFinished () const

## Detailed Description

The KDSoapPendingCallWatcher class provides a convenient way for waiting for asynchronous replies.

KDSoapPendingCallWatcher provides the finished() signal that will be emitted when a reply arrives.

It is usually used like the following example:

KDSoapPendingCall pendingCall = client.asyncCall(QLatin1String("MethodName"), message);
KDSoapPendingCallWatcher *watcher = new KDSoapPendingCallWatcher(pendingCall, this);
QObject::connect(watcher, SIGNAL(finished(KDSoapPendingCallWatcher*)),
this, SLOT(slotFinished(KDSoapPendingCallWatcher*)));

Note
  It is not necessary to keep the original KDSoapPendingCall object around since KDSoapPendingCallWatcher inherits from that class too.

## Constructor & Destructor Documentation

## ◆ KDSoapPendingCallWatcher()

KDSoapPendingCallWatcher::KDSoapPendingCallWatcher | ( | const KDSoapPendingCall & | call,
|  | QObject * | parent = `nullptr`
| ) |  |
| explicit

Creates a KDSoapPendingCallWatcher object to watch for replies on the asynchronous pending call `call` and sets this object's parent to `parent`.

## ◆ ~KDSoapPendingCallWatcher()

KDSoapPendingCallWatcher::~KDSoapPendingCallWatcher | ( |  | ) |

Destroys this object. If this KDSoapPendingCallWatcher object was the last reference to the unfinished pending call, the call will be canceled.

## Member Function Documentation

## ◆ finished

void KDSoapPendingCallWatcher::finished | ( | KDSoapPendingCallWatcher * | self | ) |
| signal

This signal is emitted when the pending call has finished and its reply is available. The `self` parameter is a pointer to the object itself, passed for convenience so that the slot can access the properties and determine the contents of the reply.

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapPendingCallWatcher.h
- src/KDSoapClient/KDSoapPendingCallWatcher.cpp

KDSoapPendingCallWatcher
Definition: KDSoapPendingCallWatcher.h:49
KDSoapPendingCallWatcher::finished
void finished(KDSoapPendingCallWatcher *self)
KDSoapClientInterface::asyncCall
KDSoapPendingCall asyncCall(const QString &method, const KDSoapMessage &message, const QString &soapAction=QString(), const KDSoapHeaders &headers=KDSoapHeaders())
Definition: KDSoapClientInterface.cpp:157
KDSoapPendingCall
Definition: KDSoapPendingCall.h:52

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/